Bug 1130472 - Review Request: copyq - Clipboard manager with advanced features
Summary: Review Request: copyq - Clipboard manager with advanced features
Keywords:
Status: CLOSED DUPLICATE of bug 1211831
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 10:24 UTC by Christopher Meng
Modified: 2015-04-15 12:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-15 12:03:41 UTC
anto.trande: fedora-review?


Attachments (Terms of Use)

Description Christopher Meng 2014-08-15 10:24:25 UTC
Spec URL: http://sg.cicku.me/copyq.spec
SRPM URL: http://sg.cicku.me/copyq-2.3.0-1.fc22.src.rpm
Description: CopyQ is clipboard manager with searchable and editable history.

Features
----------
* Store text, HTML, images and any other custom format.
* Customize tray menu.
* Save items in tabs or tree.in windo
* Quickly browse through items (fast navigation, filtering with matched text highlighting).
* Sort items, create new, edit, remove, copy/paste to different tab.
* Variety of system-wide shortcuts (e.g. show maw or tray, edit clipboard, copy next/previous, paste as plain text).
* Immediately paste to focused window from tray or main window.
* Fully customizable appearance (colors, fonts, transparency).
* Advanced command-line interface and scripting.
* Ignore clipboard copied from some windows or containing some text.
* Apply custom commands on selected items or automatically when new matching clipboard content is available.
Fedora Account System Username: cicku

Comment 1 Antonio 2014-08-15 10:28:16 UTC
Interesting!

Review swap with https://bugzilla.redhat.com/show_bug.cgi?id=1114737 ?

Comment 2 Antonio 2014-08-16 09:55:18 UTC
- There are other files involved and licensed with BSD (3 clause).

CopyQ-2.3.0/qt/bytearrayclass.cpp
CopyQ-2.3.0/qt/bytearrayclass.h
CopyQ-2.3.0/qt/bytearrayprototype.cpp
CopyQ-2.3.0/qt/bytearrayprototype.h
CopyQ-2.3.0/qxt/qxtglobal.cpp
CopyQ-2.3.0/qxt/qxtglobal.h
CopyQ-2.3.0/qxt/qxtglobalshortcut.cpp
CopyQ-2.3.0/qxt/qxtglobalshortcut.h
CopyQ-2.3.0/qxt/qxtglobalshortcut_mac.cpp
CopyQ-2.3.0/qxt/qxtglobalshortcut_p.h
CopyQ-2.3.0/qxt/qxtglobalshortcut_win.cpp
CopyQ-2.3.0/qxt/qxtglobalshortcut_x11.cpp

  Those in CopyQ-2.3.0/qt are already packaged in qt-examples rpm in Fedora.

- %{_prefix}/lib/copyq/ ??
  Probably this hardcoded path must be fixed.

- A new release (2.4.0) is out.

- Source code considers tests performing. Have you tried them?

- Please, consider that you need to add a check command for the 
  .desktop file (desktop-file-validate).

- Application installs icons into one of the subdirectories in %{_datadir}/icons/, add the Icon Cache scriptlets.
  http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

- Translation files may be handled by %find_lang macro (Qt-based in this case).
  See https://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in copyq
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "GPL (v3 or later)", "Unknown or generated". 32 files
     have unknown license. Detailed output of licensecheck in
     /home/sagitter/1130472-copyq/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 5 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: copyq-2.3.0-1.fc22.i686.rpm
          copyq-2.3.0-1.fc22.src.rpm
copyq.i686: W: spelling-error %description -l en_US searchable -> search able, search-able, unsearchable
copyq.i686: W: spelling-error %description -l en_US customizable -> customization
copyq.i686: W: no-manual-page-for-binary copyq
copyq.src: W: spelling-error %description -l en_US searchable -> search able, search-able, unsearchable
copyq.src: W: spelling-error %description -l en_US customizable -> customization
copyq.src:60: E: hardcoded-library-path in %{_prefix}/lib/copyq/
2 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint copyq
copyq.i686: W: spelling-error %description -l en_US searchable -> search able, search-able, unsearchable
copyq.i686: W: spelling-error %description -l en_US customizable -> customization
copyq.i686: W: no-manual-page-for-binary copyq
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
copyq (rpmlib, GLIBC filtered):
    hicolor-icon-theme
    libICE.so.6
    libQtCore.so.4
    libQtGui.so.4
    libQtNetwork.so.4
    libQtScript.so.4
    libQtSvg.so.4
    libQtXml.so.4
    libSM.so.6
    libX11.so.6
    libXext.so.6
    libXfixes.so.3
    libXtst.so.6
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)



Provides
--------
copyq:
    CopyQ
    application()
    application(copyq.desktop)
    copyq
    copyq(x86-32)



Unversioned so-files
--------------------
copyq: /usr/lib/copyq/plugins/libitemdata.so
copyq: /usr/lib/copyq/plugins/libitemencrypted.so
copyq: /usr/lib/copyq/plugins/libitemfakevim.so
copyq: /usr/lib/copyq/plugins/libitemimage.so
copyq: /usr/lib/copyq/plugins/libitemnotes.so
copyq: /usr/lib/copyq/plugins/libitemsync.so
copyq: /usr/lib/copyq/plugins/libitemtext.so
copyq: /usr/lib/copyq/plugins/libitemweb.so

Source checksums
----------------
https://github.com/hluk/CopyQ/archive/v2.3.0.tar.gz#/CopyQ-2.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : 7e80ca453654750cd997aa64f3c6fa33b3dec454cb3484033ce86d38fca9dd48
  CHECKSUM(SHA256) upstream package : 7e80ca453654750cd997aa64f3c6fa33b3dec454cb3484033ce86d38fca9dd48


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1130472
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Gerald Cox 2015-04-15 02:57:33 UTC
Hello, I just entered:  1211831 a review request for copyq and came across this open ticket.  I looked in koji and don't see anything yet for copyq... Has this request been completed, abandoned?  

Let me know, I would like to work on getting this package added.

Thanks!

Comment 4 Antonio 2015-04-15 09:11:38 UTC
(In reply to Gerald Cox from comment #3)
> Hello, I just entered:  1211831 a review request for copyq and came across
> this open ticket.  I looked in koji and don't see anything yet for copyq...
> Has this request been completed, abandoned?  
> 
> Let me know, I would like to work on getting this package added.
> 
> Thanks!

I'm waiting for a reply by long time.

Comment 5 Gerald Cox 2015-04-15 12:03:41 UTC
Antonio, looks like this request has been abandoned.  If you don't mind to review
copyq in:  1211831, I can then get it out on a repository.  I am also working with upstream to get this done, so if we find issues, we can get them addressed.

*** This bug has been marked as a duplicate of bug 1211831 ***


Note You need to log in before you can comment on or make changes to this bug.